MINOVA DEMO - Support #1845

[Performance Management] - Import, Export
11/29/2022 03:29 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 11/29/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Mas Azid,

Mohon dibantu untuk menu import dan export performance data belum berjalan.
Menu ID:

- Import PM04

- Export PM05

Terima kasih.

Port: http://demo.minovais.com:61124/

History

#1 - 11/29/2022 03:43 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 03/16/2023 02:56 PM - M Azid Wahyudi

dear fiona , udah bisa di test ya
package :

export

EDIT SMENU

PMO05 PM 5 ES EMPDATA 0 1 0 /Page/exportPMO05 1 Export Performance Data
minovais 20160606100750 minovais 20160728114411 NULL 0

PENMBAHAN FILE PADA ui

EDIT SMENU

PMO04 PM 4 ES 0 1 0 /Page/uploadMDPerformance icon-arrow-up 1 Import Performance Data
minovais 20160606100503 minovais 20160728114348 NULL 0
..\UNapp\view\masterdata\ViewexportPM05.js

...\UN\Pages\exportPM05.html

...\U\Pages\exportPMO05.js

import

penambahan file pada ui
...\Ul\app\controller\masterdata\CtrlUploadMDPerformance.js
..\UNapp\view\masterdata\ViewUploadMDPerformance.js
..\UI\Pages\uploadMDPerformance.html
...\UN\Pages\uploadMDPerformance.js

Settingan :
PCMEPMDLIST : moduleTpye (PM) // list pada saat dropdown
PCMEPGENPARAM : module (PM) // pada saat export datanya ke get

-API2:
MinovalS.MinovaES.Data.Element.dll // kebutuhannya untuk upload

-penambahan error message :
MDO0020
MD0021

note untuk templete excel :
1. jika ingin 75,50 di excelnya jadi 75.50
http://demo.minovais.com:61124/

2. jika field nya mandatory default 0 aja kaya Adjustedindex

makasih

#3 - 03/16/2023 02:57 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

#4 - 03/16/2023 02:58 PM - Fiona Avangeline Jonathan
- File clipboard-202303161458-dpxx9.png added

Untuk export performance data sudah berhasil, terima kasih.
#5 - 03/16/2023 04:41 PM - Fiona Avangeline Jonathan
- File clipboard-202303161639-d1bjk.png added
- File clipboard-202303161640-zin7n.png added
- File PHRPA0047.xls added
- File clipboard-202303161641-pr1dd.png added
- File PHRPA0048 (6).xIs added
- Status changed from QA Test to Closed
Import sudah berhasil, terima kasih.
PHRPA0047
Performance Appraisal
Employee Overview - 10000148 - ERICSSON - o
Employee ID: 10000148 Company ID: MINOVAIS |
Full Name: ERICSSON Employee Office: Minova (Jakarta)
Employee Status: Active Organization: Product Improvement
Employee Type! Tetap Position: Product Improvement
Performance
Action
Start Date End Date Appraisal Type Sequence  Appraisal Date  KPIFinal Score  KPITotalWeight KPITotalScore  Qual TotalWeight QualTotal Score  QualFinal Score  Calculated KPI Calculatec
01/01/2022  31/12/2022 a 01/06/2022 0.00 /00/100. 0.00 100.00 9875 0.00 0.00 000 -

PHRPA0048
Sebelum
